Loading...
Searching...
No Matches
caf::ref_counted Class Reference

Base class for reference counted objects with an atomic reference count. More...

`#include <ref_counted.hpp>`

Inheritance diagram for caf::ref_counted:

## Public Member Functions

| ref_counted (const ref_counted &)
ref_counted & | operator= (const ref_counted &)
void | ref () const noexcept
| Increases reference count by one.
void | deref () const noexcept
| Decreases reference count by one and calls request_deletion when it drops to zero.
bool | unique () const noexcept
| Queries whether there is exactly one reference.
size_t | get_reference_count () const noexcept

## Protected Attributes

std::atomic< size_t > | rc_

## Related Symbols

(Note that these are not member symbols.)
void | intrusive_ptr_add_ref (const ref_counted *p)
void | intrusive_ptr_release (const ref_counted *p)

## Detailed Description

Base class for reference counted objects with an atomic reference count.

Serves the requirements of `intrusive_ptr`.

Note
  All instances of ref_counted start with a reference count of 1.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/ref_counted.hpp